Bug 246184 - problems displaying non-ascii characters
Summary: problems displaying non-ascii characters
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mugshot   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-29 01:38 UTC by Jens Petersen
Modified: 2008-04-11 06:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 06:37:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot-Mugshot.png (46.42 KB, image/png)
2007-07-02 01:40 UTC, Jens Petersen
no flags Details

Description Jens Petersen 2007-06-29 01:38:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
mugshot seems to have problems displaying non-ASCII (unicode) characters
(glyphs) like open and close double quotes and accented vowels, etc.

Steps to Reproduce:
1. find a blog posting including non-ascii characters
  
Actual results:
1. shown by mugshot as a diamond with a question mark inside

Expected results:
1. unicode characters to be displayed correctly.

Additional info:
Perhaps the encoding is getting broken somehow along the way?

Comment 1 Owen Taylor 2007-06-29 11:06:10 UTC
Can you give the specific blog you are seeing the problem with? I haven't
seen any problems in this area recently.

(In general, bugzilla.mugshot.org is a better place to file bugs with 
mugshot that aren't packaging related.)

Comment 2 Jens Petersen 2007-07-02 01:40:38 UTC
Created attachment 158317 [details]
Screenshot-Mugshot.png

Here is a screenshot.

This is with mugshot-1.1.42-3.fc7.
Also see it with mugshot-1.1.46-1.fc8.

Ok, I will file a bug upstream too.

Comment 3 Jens Petersen 2007-07-02 01:51:13 UTC
http://bugzilla.mugshot.org/show_bug.cgi?id=1264

Perhaps we should add mugshot bz to list of external bugzillas?

Comment 4 Bug Zapper 2008-04-04 12:53:03 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Jens Petersen 2008-04-11 06:37:05 UTC
According to the upstream bug this is an issue with the webserver.


Note You need to log in before you can comment on or make changes to this bug.